Index: /trunk/lib/Auth_File.inc.php
===================================================================
--- /trunk/lib/Auth_File.inc.php	(revision 467)
+++ /trunk/lib/Auth_File.inc.php	(revision 468)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,15 +11,15 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
  */
 
-/**
+/*
  * Auth_File.inc.php
  *
@@ -30,5 +30,5 @@
  * @version 1.2
  */
- 
+
 // Usage example:
 // $auth = new Auth_File();
@@ -40,24 +40,24 @@
 // ));
 
-// Available encryption types for class Auth_SQL.
-define('AUTH_ENCRYPT_MD5', 'md5');
-define('AUTH_ENCRYPT_CRYPT', 'crypt');
-define('AUTH_ENCRYPT_SHA1', 'sha1');
-define('AUTH_ENCRYPT_PLAINTEXT', 'plaintext');
-
 class Auth_File {
-    
+
+    // Available encryption types for class Auth_File.
+    const ENCRYPT_MD5 = 'md5';
+    const ENCRYPT_CRYPT = 'crypt';
+    const ENCRYPT_SHA1 = 'sha1';
+    const ENCRYPT_PLAINTEXT = 'plaintext';
+
     // Namespace of this auth object.
-    var $_ns;
-    
+    private $_ns;
+
     // Parameters to be specified by setParam().
-    var $_params = array();
-    var $_default_params = array(
-        
+    private $_params = array();
+    private $_default_params = array(
+
         // Full path to htpasswd file.
         'htpasswd_file' => null,
 
-        // The type of encryption to use for passwords stored in the db_table. Use one of the AUTH_ENCRYPT_* types specified above.
-        'encryption_type' => AUTH_ENCRYPT_CRYPT,
+        // The type of encryption to use for passwords stored in the db_table. Use one of the self::ENCRYPT_* types specified above.
+        'encryption_type' => self::ENCRYPT_CRYPT,
 
         // The URL to the login script.
@@ -77,14 +77,14 @@
 
     // Associative array of usernames to hashed passwords.
-    var $_users = array();
-
-    /**
-     * Constructs a new htpasswd authentication object.
-     *
-     * @access public
-     *
-     * @param optional array $params  A hash containing parameters.
-     */
-    function Auth_File($namespace='')
+    private $_users = array();
+
+    /*
+    * Constructs a new htpasswd authentication object.
+    *
+    * @access public
+    *
+    * @param optional array $params  A hash containing parameters.
+    */
+    public function __construct($namespace='')
     {
         $this->_ns = $namespace;
@@ -94,11 +94,11 @@
     }
 
-    /**
-     * Set the params of an auth object.
-     *
-     * @param  array $params   Array of parameter keys and value to set.
-     * @return bool true on success, false on failure
-     */
-    function setParam($params)
+    /*
+    * Set the params of an auth object.
+    *
+    * @param  array $params   Array of parameter keys and value to set.
+    * @return bool true on success, false on failure
+    */
+    public function setParam($params)
     {
         if (isset($params) && is_array($params)) {
@@ -108,15 +108,15 @@
     }
 
-    /**
-     * Return the value of a parameter, if it exists.
-     *
-     * @access public
-     * @param string $param        Which parameter to return.
-     * @return mixed               Configured parameter value.
-     */
-    function getParam($param)
-    {
-		$app =& App::getInstance();
-    
+    /*
+    * Return the value of a parameter, if it exists.
+    *
+    * @access public
+    * @param string $param        Which parameter to return.
+    * @return mixed               Configured parameter value.
+    */
+    public function getParam($param)
+    {
+        $app = &App::getInstance();
+
         if (isset($this->_params[$param])) {
             return $this->_params[$param];
@@ -127,23 +127,22 @@
     }
 
-    /**
-     * Clear any authentication tokens in the current session. A.K.A. logout.
-     *
-     * @access public
-     */
-    function clear()
+    /*
+    * Clear any authentication tokens in the current session. A.K.A. logout.
+    *
+    * @access public
+    */
+    public function clear()
     {
         $_SESSION['_auth_file'][$this->_ns] = array('authenticated' => false);
     }
 
-
-    /**
-     * Sets a variable into a registered auth session.
-     *
-     * @access public
-     * @param mixed $key      Which value to set.
-     * @param mixed $val      Value to set variable to.
-     */
-    function set($key, $val)
+    /*
+    * Sets a variable into a registered auth session.
+    *
+    * @access public
+    * @param mixed $key      Which value to set.
+    * @param mixed $val      Value to set variable to.
+    */
+    public function set($key, $val)
     {
         if (!isset($_SESSION['_auth_file'][$this->_ns]['user_data'])) {
@@ -153,13 +152,13 @@
     }
 
-    /**
-     * Returns a specified value from a registered auth session.
-     *
-     * @access public
-     * @param mixed $key      Which value to return.
-     * @param mixed $default  Value to return if key not found in user_data.
-     * @return mixed          Value stored in session.
-     */
-    function get($key, $default='')
+    /*
+    * Returns a specified value from a registered auth session.
+    *
+    * @access public
+    * @param mixed $key      Which value to return.
+    * @param mixed $default  Value to return if key not found in user_data.
+    * @return mixed          Value stored in session.
+    */
+    public function get($key, $default='')
     {
         if (isset($_SESSION['_auth_file'][$this->_ns][$key])) {
@@ -171,24 +170,25 @@
         }
     }
-    /**
-     * Find out if a set of login credentials are valid. Only supports
-     * htpasswd files with DES passwords right now.
-     *
-     * @access public
-     *
-     * @param string $username      The username to check.
-     * @param array $password      The password to compare to username.
-     *
-     * @return boolean  Whether or not the credentials are valid.
-     */
-    function authenticate($username, $password)
-    {
-		$app =& App::getInstance();
-    
+
+    /*
+    * Find out if a set of login credentials are valid. Only supports
+    * htpasswd files with DES passwords right now.
+    *
+    * @access public
+    *
+    * @param string $username      The username to check.
+    * @param array $password      The password to compare to username.
+    *
+    * @return boolean  Whether or not the credentials are valid.
+    */
+    public function authenticate($username, $password)
+    {
+        $app = &App::getInstance();
+
         if ('' == trim($password)) {
             $app->logMsg(_("No password provided for authentication."), LOG_INFO, __FILE__, __LINE__);
             return false;
         }
-        
+
         // Load users file.
         $this->_loadHTPasswdFile();
@@ -203,20 +203,20 @@
             return false;
         }
-        
+
         // Authentication successful!
         return true;
     }
 
-    /**
-     * If user passes authentication create authenticated session.
-     *
-     * @access public
-     *
-     * @param string $username     The username to check.
-     * @param array $password     The password to compare to username.
-     *
-     * @return boolean  Whether or not the credentials are valid.
-     */
-    function login($username, $password)
+    /*
+    * If user passes authentication create authenticated session.
+    *
+    * @access public
+    *
+    * @param string $username     The username to check.
+    * @param array $password     The password to compare to username.
+    *
+    * @return boolean  Whether or not the credentials are valid.
+    */
+    public function login($username, $password)
     {
         $username = mb_strtolower(trim($username));
@@ -228,5 +228,5 @@
             return false;
         }
-        
+
         $_SESSION['_auth_file'][$this->_ns] = array(
             'authenticated' => true,
@@ -241,18 +241,18 @@
     }
 
-    /**
-     * Test if user has a currently logged-in session.
-     *  - authentication flag set to true
-     *  - username not empty
-     *  - total logged-in time is not greater than login_timeout
-     *  - idle time is not greater than idle_timeout
-     *  - remote address is the same as the login remote address.
-     *
-     * @access public
-     */
-    function isLoggedIn()
-    {
-		$app =& App::getInstance();
-    
+    /*
+    * Test if user has a currently logged-in session.
+    *  - authentication flag set to true
+    *  - username not empty
+    *  - total logged-in time is not greater than login_timeout
+    *  - idle time is not greater than idle_timeout
+    *  - remote address is the same as the login remote address.
+    *
+    * @access public
+    */
+    public function isLoggedIn()
+    {
+        $app = &App::getInstance();
+
         // Some users will access from networks with a changing IP number (i.e. behind a proxy server). These users must be allowed entry by adding their IP to the list of trusted_networks.
         if ($trusted_net = ipInRange(getRemoteAddr(), $this->_params['trusted_networks'])) {
@@ -268,9 +268,9 @@
         // Test login with information stored in session. Skip IP matching for users from trusted networks.
         if (isset($_SESSION['_auth_file'][$this->_ns])
-            && true === $_SESSION['_auth_file'][$this->_ns]['authenticated']
-            && !empty($_SESSION['_auth_file'][$this->_ns]['username'])
-            && strtotime($_SESSION['_auth_file'][$this->_ns]['login_datetime']) > time() - $this->_params['login_timeout']
-            && strtotime($_SESSION['_auth_file'][$this->_ns]['last_access_datetime']) > time() - $this->_params['idle_timeout']
-            && ($_SESSION['_auth_file'][$this->_ns]['remote_ip'] == getRemoteAddr() || $user_in_trusted_network)
+        && true === $_SESSION['_auth_file'][$this->_ns]['authenticated']
+        && !empty($_SESSION['_auth_file'][$this->_ns]['username'])
+        && strtotime($_SESSION['_auth_file'][$this->_ns]['login_datetime']) > time() - $this->_params['login_timeout']
+        && strtotime($_SESSION['_auth_file'][$this->_ns]['last_access_datetime']) > time() - $this->_params['idle_timeout']
+        && ($_SESSION['_auth_file'][$this->_ns]['remote_ip'] == getRemoteAddr() || $user_in_trusted_network)
         ) {
             // User is authenticated!
@@ -303,18 +303,18 @@
     }
 
-    /**
-     * Redirect user to login page if they are not logged in.
-     *
-     * @param string $message The text description of a message to raise.
-     * @param int    $type    The type of message: MSG_NOTICE,
-     *                        MSG_SUCCESS, MSG_WARNING, or MSG_ERR.
-     * @param string $file    __FILE__.
-     * @param string $line    __LINE__.
-     * @access public
-     */
-    function requireLogin($message='', $type=MSG_NOTICE, $file=null, $line=null)
-    {
-		$app =& App::getInstance();
-    
+    /*
+    * Redirect user to login page if they are not logged in.
+    *
+    * @param string $message The text description of a message to raise.
+    * @param int    $type    The type of message: MSG_NOTICE,
+    *                        MSG_SUCCESS, MSG_WARNING, or MSG_ERR.
+    * @param string $file    __FILE__.
+    * @param string $line    __LINE__.
+    * @access public
+    */
+    public function requireLogin($message='', $type=MSG_NOTICE, $file=null, $line=null)
+    {
+        $app = &App::getInstance();
+
         if (!$this->isLoggedIn()) {
             // Display message for requiring login. (RaiseMsg will ignore empty strings.)
@@ -326,13 +326,12 @@
         }
     }
-    
-    /**
-     * Wrapper function for compatibility with lib/Lock.inc.php.
-     *
-     * @param  string  $username    Username to return.
-     * @return string               Username, or false if none found.
-     */
-    function getUsername($username)
-    {
+
+    /*
+    * Wrapper function for compatibility with lib/Lock.inc.php.
+    *
+    * @param  string  $username    Username to return.
+    * @return string               Username, or false if none found.
+    */
+    public function getUsername($username) {
         if ('' != $username) {
             return $username;
@@ -351,15 +350,15 @@
     * @since    18 Apr 2006 18:17:48
     */
-    function _loadHTPasswdFile()
-    {
-		$app =& App::getInstance();
-    
+    private function _loadHTPasswdFile()
+    {
+        $app = &App::getInstance();
+
         static $users = null;
-        
+
         if (!file_exists($this->_params['htpasswd_file'])) {
             $app->logMsg(sprintf('htpasswd file missing or not specified: %s', $this->_params['htpasswd_file']), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
-        
+
         if (!isset($users)) {
             if (false === ($users = file($this->_params['htpasswd_file']))) {
@@ -379,29 +378,29 @@
     }
 
-    /**
-     * Hash a given password according to the configured encryption
-     * type.
-     *
-     * @param string $password              The password to encrypt.
-     * @param string $encrypted_password    The currently encrypted password to use as salt, if needed.
-     *
-     * @return string  The hashed password.
-     */
-    function _encrypt($password, $encrypted_password=null)
+    /*
+    * Hash a given password according to the configured encryption
+    * type.
+    *
+    * @param string $password              The password to encrypt.
+    * @param string $encrypted_password    The currently encrypted password to use as salt, if needed.
+    *
+    * @return string  The hashed password.
+    */
+    private function _encrypt($password, $encrypted_password=null)
     {
         switch ($this->_params['encryption_type']) {
-        case AUTH_ENCRYPT_PLAINTEXT :
+        case self::ENCRYPT_PLAINTEXT :
             return $password;
             break;
 
-        case AUTH_ENCRYPT_SHA1 :
+        case self::ENCRYPT_SHA1 :
             return sha1($password);
             break;
 
-        case AUTH_ENCRYPT_MD5 :
+        case self::ENCRYPT_MD5 :
             return md5($password);
             break;
 
-        case AUTH_ENCRYPT_CRYPT :
+        case self::ENCRYPT_CRYPT :
         default :
             return crypt($password, $encrypted_password);
@@ -411,3 +410,2 @@
 
 } // end class
-?>
Index: /trunk/lib/Auth_SQL.inc.php
===================================================================
--- /trunk/lib/Auth_SQL.inc.php	(revision 467)
+++ /trunk/lib/Auth_SQL.inc.php	(revision 468)
@@ -28,25 +28,25 @@
 */
 
-// Available encryption types for class Auth_SQL.
-define('AUTH_ENCRYPT_PLAINTEXT', 1);
-define('AUTH_ENCRYPT_CRYPT', 2);
-define('AUTH_ENCRYPT_SHA1', 3);
-define('AUTH_ENCRYPT_SHA1_HARDENED', 4);
-define('AUTH_ENCRYPT_MD5', 5);
-define('AUTH_ENCRYPT_MD5_HARDENED', 6);
-
 require_once dirname(__FILE__) . '/Email.inc.php';
 
 class Auth_SQL {
 
+    // Available encryption types for class Auth_SQL.
+    const ENCRYPT_PLAINTEXT = 1;
+    const ENCRYPT_CRYPT = 2;
+    const ENCRYPT_SHA1 = 3;
+    const ENCRYPT_SHA1_HARDENED = 4;
+    const ENCRYPT_MD5 = 5;
+    const ENCRYPT_MD5_HARDENED = 6;
+
     // Namespace of this auth object.
-    var $_ns;
+    private $_ns;
 
     // Static var for test.
-    var $_authentication_tested;
+    private $_authentication_tested;
 
     // Parameters to be configured by setParam.
-    var $_params = array();
-    var $_default_params = array(
+    private $_params = array();
+    private $_default_params = array(
 
         // Automatically create table and verify columns. Better set to false after site launch.
@@ -66,8 +66,8 @@
         'db_login_table' => 'user_login_tbl',
 
-        // The type of encryption to use for passwords stored in the db_table. Use one of the AUTH_ENCRYPT_* types specified above.
+        // The type of encryption to use for passwords stored in the db_table. Use one of the Auth_SQL::ENCRYPT_* types specified above.
         // Hardened password hashes rely on the same key/salt being used to compare encryptions.
         // Be aware that when using one of the hardened types the App signing_key or $more_salt below cannot change!
-        'encryption_type' => AUTH_ENCRYPT_MD5,
+        'encryption_type' => self::ENCRYPT_MD5,
 
         // The URL to the login script.
@@ -127,5 +127,5 @@
      * @param optional array $params  A hash containing parameters.
      */
-    function Auth_SQL($namespace='')
+    public function __construct($namespace='')
     {
 		$app =& App::getInstance();
@@ -153,5 +153,5 @@
      * @since   26 Aug 2005 17:09:36
      */
-    function initDB($recreate_db=false)
+    public function initDB($recreate_db=false)
     {
 		$app =& App::getInstance();
@@ -253,5 +253,5 @@
      * @return bool true on success, false on failure
      */
-    function setParam($params)
+    public function setParam($params)
     {
         if (isset($params['match_remote_ip_exempt_usernames'])) {
@@ -274,5 +274,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -291,5 +291,5 @@
      * @access public
      */
-    function clear()
+    public function clear()
     {
 		$db =& DB::getInstance();
@@ -326,5 +326,5 @@
      * @param mixed $val      Value to set variable to.
      */
-    function set($key, $val)
+    public function set($key, $val)
     {
         if (!isset($_SESSION['_auth_sql'][$this->_ns]['user_data'])) {
@@ -342,5 +342,5 @@
      * @return mixed          Value stored in session.
      */
-    function get($key, $default='')
+    public function get($key, $default='')
     {
         if (isset($_SESSION['_auth_sql'][$this->_ns][$key])) {
@@ -361,5 +361,5 @@
      * @return mixed  False if credentials not found in DB, or returns DB row matching credentials.
      */
-    function authenticate($username, $password)
+    public function authenticate($username, $password)
     {
 		$app =& App::getInstance();
@@ -369,5 +369,5 @@
 
         switch ($this->_params['encryption_type']) {
-        case AUTH_ENCRYPT_CRYPT :
+        case self::ENCRYPT_CRYPT :
             // Query DB for user matching credentials. Compare cyphertext with salted-encrypted password.
             $qid = $db->query("
@@ -378,7 +378,7 @@
             ");
             break;
-        case AUTH_ENCRYPT_PLAINTEXT :
-        case AUTH_ENCRYPT_MD5 :
-        case AUTH_ENCRYPT_SHA1 :
+        case self::ENCRYPT_PLAINTEXT :
+        case self::ENCRYPT_MD5 :
+        case self::ENCRYPT_SHA1 :
         default :
             // Query DB for user matching credentials. Directly compare cyphertext with result from encryptPassword().
@@ -412,5 +412,5 @@
      * @return boolean  Whether or not the credentials are valid.
      */
-    function login($username, $password)
+    public function login($username, $password)
     {
 		$app =& App::getInstance();
@@ -421,5 +421,5 @@
         $this->clear();
 
-        if (!$user_data = $this->authenticate($username, $password)) {
+        if (!($user_data = $this->authenticate($username, $password))) {
             // No login: failed authentication!
             return false;
@@ -539,5 +539,5 @@
      * @access public
      */
-    function isLoggedIn($user_id=null)
+    public function isLoggedIn($user_id=null)
     {
 		$app =& App::getInstance();
@@ -671,5 +671,5 @@
      * @access public
      */
-    function requireLogin($message='', $type=MSG_NOTICE, $file=null, $line=null)
+    public function requireLogin($message='', $type=MSG_NOTICE, $file=null, $line=null)
     {
 		$app =& App::getInstance();
@@ -693,5 +693,5 @@
      * @param  string   $reason      The reason for blocking the account.
      */
-    function blockAccount($user_id=null, $reason='')
+    public function blockAccount($user_id=null, $reason='')
     {
 		$app =& App::getInstance();
@@ -723,5 +723,5 @@
      * @return boolean              True if the user is blocked, false otherwise.
      */
-    function isBlocked($user_id=null)
+    public function isBlocked($user_id=null)
     {
     	$db =& DB::getInstance();
@@ -745,5 +745,5 @@
      * Unblocks a user in the db_table, and clears any blocked_reason.
      */
-    function unblockAccount($user_id=null)
+    public function unblockAccount($user_id=null)
     {
 		$db =& DB::getInstance();
@@ -769,5 +769,5 @@
      * @return bool                 True if username exists.
      */
-    function usernameExists($username)
+    public function usernameExists($username)
     {
 		$db =& DB::getInstance();
@@ -789,5 +789,5 @@
      * @return string               Username, or false if none found.
      */
-    function getUsername($user_id)
+    public function getUsername($user_id)
     {
 		$db =& DB::getInstance();
@@ -813,15 +813,15 @@
      * patterns, at minimum the US State Department standard: cvcddcvc.
      *
-     * - x    a random upper or lower alpha character or digit
-     * - C    a random upper or lower consonant
-     * - V    a random upper or lower vowel
-     * - c    a random lowercase consonant
-     * - v    a random lowercase vowel
-     * - d    a random digit
+     * - x    A random upper or lower character, digit, or punctuation.
+     * - C    A random upper or lower consonant.
+     * - V    A random upper or lower vowel.
+     * - c    A random lowercase consonant.
+     * - v    A random lowercase vowel.
+     * - d    A random digit.
      *
      * @param  string $pattern  a sequence of character types, above.
      * @return string           a password
      */
-    function generatePassword($pattern='CvcdCvc')
+    public function generatePassword($pattern='CvcdCvc')
     {
         $app =& App::getInstance();
@@ -846,5 +846,5 @@
      *
      */
-    function encryptPassword($password, $salt=null)
+    public function encryptPassword($password, $salt=null)
     {
         $app =& App::getInstance();
@@ -855,18 +855,18 @@
 
         switch ($this->_params['encryption_type']) {
-        case AUTH_ENCRYPT_PLAINTEXT :
+        case self::ENCRYPT_PLAINTEXT :
             return $password;
             break;
 
-        case AUTH_ENCRYPT_CRYPT :
+        case self::ENCRYPT_CRYPT :
             // If comparing plaintext password with a hash, provide first two chars of the hash as the salt.
             return isset($salt) ? crypt($password, mb_substr($salt, 0, 2)) : crypt($password);
             break;
 
-        case AUTH_ENCRYPT_SHA1 :
+        case self::ENCRYPT_SHA1 :
             return sha1($password);
             break;
 
-        case AUTH_ENCRYPT_SHA1_HARDENED :
+        case self::ENCRYPT_SHA1_HARDENED :
             $hash = sha1($app->getParam('signing_key') . $password . $more_salt);
             // Increase key strength by 12 bits.
@@ -877,9 +877,9 @@
             break;
 
-        case AUTH_ENCRYPT_MD5 :
+        case self::ENCRYPT_MD5 :
             return md5($password);
             break;
 
-        case AUTH_ENCRYPT_MD5_HARDENED :
+        case self::ENCRYPT_MD5_HARDENED :
             // Include salt to improve hash
             $hash = md5($app->getParam('signing_key') . $password . $more_salt);
@@ -901,5 +901,5 @@
      *
      */
-    function setPassword($user_id=null, $password)
+    public function setPassword($user_id=null, $password)
     {
 		$app =& App::getInstance();
@@ -951,5 +951,5 @@
      * @return string            The user's new password.
      */
-    function resetPassword($user_id=null, $reason='')
+    public function resetPassword($user_id=null, $reason='')
     {
 		$app =& App::getInstance();
@@ -1016,7 +1016,6 @@
      * @return bool     true if user is a member of security zone, false otherwise
      */
-    function inClearanceZone($security_zone, $user_type='')
-    {
-        // return true; /// WTF?
+    public function inClearanceZone($security_zone, $user_type='')
+    {
         $zone_members = preg_split('/,\s*/', $security_zone);
         $user_type = empty($user_type) ? $this->get('user_type') : $user_type;
@@ -1039,9 +1038,8 @@
      * @param  constant $security_zone   string of comma delimited privileges for the zone
      */
-    function requireAccessClearance($security_zone, $message='')
+    public function requireAccessClearance($security_zone, $message='')
     {
 		$app =& App::getInstance();
 
-        // return true; /// WTF?
         $zone_members = preg_split('/,\s*/', $security_zone);
 
@@ -1097,3 +1095,2 @@
 // 128.0.0.0        10000000.00000000.00000000.00000000  /1
 // 0.0.0.0          00000000.00000000.00000000.00000000  /0   IP space
-?>
Index: /trunk/lib/AuthorizeNet.inc.php
===================================================================
--- /trunk/lib/AuthorizeNet.inc.php	(revision 467)
+++ /trunk/lib/AuthorizeNet.inc.php	(revision 468)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -31,5 +31,5 @@
  * @date 2004-04-06
  */
- 
+
 // Example usage
 // require_once 'codebase/lib/AuthorizeNet.inc.php';
@@ -61,8 +61,8 @@
 class AuthorizeNet {
 
-    var $post_url = ''; // The URL to post data to.
-    var $_results = array();
-    var $_params = array();
-    var $_default_params = array(
+    public $post_url = ''; // The URL to post data to.
+    private $_results = array();
+    private $_params = array();
+    private $_default_params = array(
         'x_version'         => '3.1',
         'x_relay_response'  => 'FALSE',
@@ -80,5 +80,5 @@
 
     // Array of response names. Used in the results array.
-    var $_result_fields = Array(
+    private $_result_fields = Array(
         'x_response_code',
         'x_response_subcode',
@@ -129,5 +129,5 @@
      * @param optional array $_params  A hash containing parameters.
      */
-    function AuthorizeNet($params = array())
+    public function __construct($params = array())
     {
         $app =& App::getInstance();
@@ -143,5 +143,5 @@
         $this->_params = $this->_default_params;
         $this->setParam($params);
-        
+
         $this->setParam(array('md5_hash_salt' => $app->getParam('signing_key')));
     }
@@ -153,8 +153,8 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
-    
+
         if (isset($params) && is_array($params)) {
             // Merge new parameters with old overriding only those passed.
@@ -172,8 +172,8 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
-    
+
         if (isset($this->_params[$param])) {
             return $this->_params[$param];
@@ -192,8 +192,8 @@
      * @return mixed      False or x_response_code: false = error, 1 = accepted, 2 = declined, 3 = error
      */
-    function process()
+    public function process()
     {
 		$app =& App::getInstance();
-    
+
         if (empty($this->_params['x_login'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
@@ -245,5 +245,5 @@
      * @return array             Returns the results array.
      */
-    function getResult($key=null)
+    public function getResult($key=null)
     {
         if (isset($key)) {
@@ -265,5 +265,5 @@
      * @return bool             True if the hash is valid, false otherwise.
      */
-    function validMD5Hash()
+    public function validMD5Hash()
     {
         return (
@@ -282,5 +282,5 @@
      * @access public
      */
-    function reset()
+    public function reset()
     {
         $this->_results = Array();
@@ -297,5 +297,5 @@
      * @return integer      Transaction result code.
      */
-    function _processResult($result)
+    private function _processResult($result)
     {
         $this->_results = Array();
@@ -315,3 +315,2 @@
     }
 }
-?>
Index: /trunk/lib/CSS.inc.php
===================================================================
--- /trunk/lib/CSS.inc.php	(revision 467)
+++ /trunk/lib/CSS.inc.php	(revision 468)
@@ -32,8 +32,8 @@
 
     // Include these style sheets.
-    var $_css_files = array('default' => array());
+    private $_css_files = array('default' => array());
 
     // CSS object parameters.
-    var $_params = array(
+    private $_params = array(
         'character_set' => 'utf-8',
         'cache_css' => false,
@@ -48,5 +48,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -67,5 +67,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -87,5 +87,5 @@
      * @return  bool    True on success, false on failure.
      */
-    function setFile($file, $realms='')
+    public function setFile($file, $realms='')
     {
 		$app =& App::getInstance();
@@ -115,5 +115,5 @@
      * @return  bool    False if no files have been set.
      */
-    function headers($realm='')
+    public function headers($realm='')
     {
 		$app =& App::getInstance();
@@ -157,5 +157,5 @@
      * @return  bool    False if no files have been set.
      */
-    function output($realm='')
+    public function output($realm='')
     {
         $realm = '' == $realm ? 'default' : $realm;
@@ -181,3 +181,2 @@
     }
 }
-?>
